var elementTags = new Array('qlookup-dict',
                            'qlookup-goog',
                            'qlookup-url');

function removeObject() {
 if(gContextMenu) {
    var obj = gContextMenu.target;
    if(obj) {
      // go away!
      obj.style.display = "none";
    }
  }

}

// ==============
function getSelection() {
  return true;
}
// ==============
function isSelection() {
   var activeP = 'true';

   if (getSelection().length > 0)
      activeP = 'false';

   for (var i=0; i<elementTags.length; i++)
      document.getElementById(elementTags[i]).setAttribute('disabled',activeP);
}  
// ==============
function doUrl(urlToLoad) {
   var browser = getBrowser();
   browser.selectedTab = browser.addTab(urlToLoad, getReferrer(document));
}
// ==============
function doLookup(prefix) {
   var selection = getSelection();
   if (selection.length < 1)
      return;
   urlToLoad = prefix+selection;
   doUrl(urlToLoad);
}
// ==============
function gotoURL() {
   var selection = getSelection();
   if (selection.length < 1)
      return;
   while (1) {
      if (selection.substring(selection.length - 1, selection.length) != " ")
         break;
      selection = selection.substring(0, selection.length - 1);
   }
   
   doUrl(selection);
}
// ==============
//  Example of a more complicated lookup with a super-long URL.  The search term here 
//   is inserted in the middle of the URL (urlPrefix + selection + urlPostfix), with
//   a little URL munging, it could be appended to the end instead.  Either way's good.
//  An additional feature is a prompt dialog if no-thing is selected.
//
//function doGoogleAdvanced() {
//   var selection = getSelection();
//   if (selection.length < 1)
//      selection = prompt('Keywords...','');
//   if (selection.length < 1)
//      return;
//
//   urlPrefix  = 'http://www.google.com/search?as_q=';
//   urlPostfix = '&num=100&hl=en&ie=ISO-8859-1&btnG=Google+Search&as_epq=&as_oq=&as_eq=&lr=&as_ft=i&as_filetype=&as_qdr=all&as_occt=any&as_dt=i&as_sitesearch=&safe=images';
//
//   doUrl(urlPrefix + selection + urlPostfix);
//}
// ==============
